| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::detail::tracking::TrackerStateEstimatorAdaBoosting Class Reference
Tracking API » Tracking API implementation details

TrackerStateEstimatorAdaBoosting based on ADA-Boosting. More...

`#include <opencv2/tracking/tracking_internals.hpp>`

Collaboration diagram for cv::detail::tracking::TrackerStateEstimatorAdaBoosting:

## Classes
class | TrackerAdaBoostingTargetState
| Implementation of the target state for TrackerAdaBoostingTargetState. More...

## Public Member Functions
| TrackerStateEstimatorAdaBoosting (int numClassifer, int initIterations, int nFeatures, Size patchSize, const Rect &ROI)
| Constructor.
| ~TrackerStateEstimatorAdaBoosting ()
| Destructor.
std::vector< int > | computeReplacedClassifier ()
| Get the list of the weak classifiers that should be replaced.
std::vector< int > | computeSelectedWeakClassifier ()
| Get the list of the selected weak classifiers for the classification step.
std::vector< int > | computeSwappedClassifier ()
| Get the list of the weak classifiers that replace those to be replaced.
Rect | getSampleROI () const
| Get the sampling ROI.
void | setCurrentConfidenceMap (ConfidenceMap &confidenceMap)
| Set the current confidenceMap.
void | setSampleROI (const Rect &ROI)
| Set the sampling ROI.
Public Member Functions inherited from cv::detail::tracking::TrackerStateEstimator
virtual | ~TrackerStateEstimator ()
Ptr< TrackerTargetState > | estimate (const std::vector< ConfidenceMap > &confidenceMaps)
| Estimate the most likely target state, return the estimated state.
String | getClassName () const
| Get the name of the specific TrackerStateEstimator.
void | update (std::vector< ConfidenceMap > &confidenceMaps)
| Update the ConfidenceMap with the scores.

## Protected Member Functions
Ptr< TrackerTargetState > | estimateImpl (const std::vector< ConfidenceMap > &confidenceMaps) CV_OVERRIDE
void | updateImpl (std::vector< ConfidenceMap > &confidenceMaps) CV_OVERRIDE
Protected Member Functions inherited from cv::detail::tracking::TrackerStateEstimator

## Protected Attributes
Ptr< StrongClassifierDirectSelection > | boostClassifier
Protected Attributes inherited from cv::detail::tracking::TrackerStateEstimator
String | className

## Additional Inherited Members
Static Public Member Functions inherited from cv::detail::tracking::TrackerStateEstimator
static Ptr< TrackerStateEstimator > | create (const String &trackeStateEstimatorType)
| Create TrackerStateEstimator by tracker state estimator type.

## Detailed Description

TrackerStateEstimatorAdaBoosting based on ADA-Boosting.

## Constructor & Destructor Documentation

## ◆ TrackerStateEstimatorAdaBoosting()

cv::detail::tracking::TrackerStateEstimatorAdaBoosting::TrackerStateEstimatorAdaBoosting | ( | int | numClassifer,
|  | int | initIterations,
|  | int | nFeatures,
|  | Size | patchSize,
|  | const Rect & | ROI )

Constructor.

Parameters

  numClassifer | Number of base classifiers
  initIterations | Number of iterations in the initialization
  nFeatures | Number of features/weak classifiers
  patchSize | tracking rect
  ROI | initial ROI

## ◆ ~TrackerStateEstimatorAdaBoosting()

cv::detail::tracking::TrackerStateEstimatorAdaBoosting::~TrackerStateEstimatorAdaBoosting | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ computeReplacedClassifier()

std::vector< int > cv::detail::tracking::TrackerStateEstimatorAdaBoosting::computeReplacedClassifier | ( |  | ) |

Get the list of the weak classifiers that should be replaced.

## ◆ computeSelectedWeakClassifier()

std::vector< int > cv::detail::tracking::TrackerStateEstimatorAdaBoosting::computeSelectedWeakClassifier | ( |  | ) |

Get the list of the selected weak classifiers for the classification step.

## ◆ computeSwappedClassifier()

std::vector< int > cv::detail::tracking::TrackerStateEstimatorAdaBoosting::computeSwappedClassifier | ( |  | ) |

Get the list of the weak classifiers that replace those to be replaced.

## ◆ estimateImpl()

Ptr< TrackerTargetState > cv::detail::tracking::TrackerStateEstimatorAdaBoosting::estimateImpl | ( | const std::vector< ConfidenceMap > & | confidenceMaps | ) |
| protected virtual

Implements cv::detail::tracking::TrackerStateEstimator.

## ◆ getSampleROI()

Rect cv::detail::tracking::TrackerStateEstimatorAdaBoosting::getSampleROI | ( |  | ) | const

Get the sampling ROI.

## ◆ setCurrentConfidenceMap()

void cv::detail::tracking::TrackerStateEstimatorAdaBoosting::setCurrentConfidenceMap | ( | ConfidenceMap & | confidenceMap | ) |

Set the current confidenceMap.

Parameters

  confidenceMap | The current :cConfidenceMap

## ◆ setSampleROI()

void cv::detail::tracking::TrackerStateEstimatorAdaBoosting::setSampleROI | ( | const Rect & | ROI | ) |

Set the sampling ROI.

Parameters

  ROI | the sampling ROI

## ◆ updateImpl()

void cv::detail::tracking::TrackerStateEstimatorAdaBoosting::updateImpl | ( | std::vector< ConfidenceMap > & | confidenceMaps | ) |
| protected virtual

Implements cv::detail::tracking::TrackerStateEstimator.

## Member Data Documentation

## ◆ boostClassifier

Ptr<StrongClassifierDirectSelection> cv::detail::tracking::TrackerStateEstimatorAdaBoosting::boostClassifier
| protected

The documentation for this class was generated from the following file:

- opencv2/tracking/tracking_internals.hpp